Loading...
Searching...
No Matches
volk_32fc_s32fc_x2_rotator2_32fc_test Class Reference

Inherits VolkTest.

## Protected Member Functions

void | SetUp () override
void | initialize_data (const size_t length)
void | execute_aligned (const std::string impl_name)
void | execute_unaligned (const std::string impl_name)
Protected Member Functions inherited from VolkTest
void | initialize_test (const std::tuple< std::string, size_t > &param)

## Protected Attributes

float | absolute_error {}
volk::vector< lv_32fc_t > | input
volk::vector< lv_32fc_t > | result
lv_32fc_t | phase_increment
lv_32fc_t | phase
volk::vector< lv_32fc_t > | expected
volk::vector< float > | expected_magnitude
volk::vector< lv_32fc_t > | ua_result
volk::vector< float > | result_magnitude
Protected Attributes inherited from VolkTest
std::string | implementation_name
bool | is_aligned_implementation
size_t | vector_length

## Static Protected Attributes

static constexpr float | increment = 0.07f
static constexpr float | initial_phase_steps = 0.0f
static constexpr float | absolute_magnitue_error = 1.0e-4

## Member Function Documentation

## execute_aligned()

void volk_32fc_s32fc_x2_rotator2_32fc_test::execute_aligned | ( | const std::string | impl_name | ) |

inline protected

## execute_unaligned()

void volk_32fc_s32fc_x2_rotator2_32fc_test::execute_unaligned | ( | const std::string | impl_name | ) |

inline protected

## initialize_data()

void volk_32fc_s32fc_x2_rotator2_32fc_test::initialize_data | ( | const size_t | length | ) |

inline protected

## SetUp()

void volk_32fc_s32fc_x2_rotator2_32fc_test::SetUp | ( |  | ) |

inline override protected

## Field Documentation

## absolute_error

float volk_32fc_s32fc_x2_rotator2_32fc_test::absolute_error {}

protected

## absolute_magnitue_error

float volk_32fc_s32fc_x2_rotator2_32fc_test::absolute_magnitue_error = 1.0e-4

static constexpr protected

## expected

volk::vector<lv_32fc_t> volk_32fc_s32fc_x2_rotator2_32fc_test::expected

protected

## expected_magnitude

volk::vector<float> volk_32fc_s32fc_x2_rotator2_32fc_test::expected_magnitude

protected

## increment

float volk_32fc_s32fc_x2_rotator2_32fc_test::increment = 0.07f

static constexpr protected

## initial_phase_steps

float volk_32fc_s32fc_x2_rotator2_32fc_test::initial_phase_steps = 0.0f

static constexpr protected

## input

volk::vector<lv_32fc_t> volk_32fc_s32fc_x2_rotator2_32fc_test::input

protected

## phase

lv_32fc_t volk_32fc_s32fc_x2_rotator2_32fc_test::phase

protected

## phase_increment

lv_32fc_t volk_32fc_s32fc_x2_rotator2_32fc_test::phase_increment

protected

## result

volk::vector<lv_32fc_t> volk_32fc_s32fc_x2_rotator2_32fc_test::result

protected

## result_magnitude

volk::vector<float> volk_32fc_s32fc_x2_rotator2_32fc_test::result_magnitude

protected

## ua_result

volk::vector<lv_32fc_t> volk_32fc_s32fc_x2_rotator2_32fc_test::ua_result

protected